[build-system]
build-backend = "scikit_build_core.build"
requires = [
  "scikit-build-core",
  "icmesh>=0.4.8",
  "pscal>=0.2.7"
]

[project]
dependencies = [
  "icmesh>=0.4.8",
  "pscal>=0.2.7"
]
dynamic = [
  "version"
]
name = "scheme-lfv"

[tool.scikit-build]
build-dir = "_skbuild/{wheel_tag}-{build_type}"
minimum-version = "0.5.1"

[tool.scikit-build.metadata.version]
provider = "scikit_build_core.metadata.setuptools_scm"

[tool.scikit-build.sdist]
include = [
  "_version.py"
]

[tool.setuptools_scm]
write_to = "src/scheme_lfv/_version.py"
